library(R.matlab)
library(igraph)

Gene_Names <- readMat('../data/Gene_Name.mat')
Gene_Names <- unlist(Gene_Names$Gene.Name)

splitlist <- strsplit(Gene_Names, split='_', fixed=TRUE)
Gene_Names <- sapply(splitlist, "[[", 1) 

TF <- readMat('../data/TF.mat')
TF <- TF$tf

Ainferred <- readMat('../data/Results/Inferred_GRN.mat')
Ainferred <- Ainferred$Network

rem_row <- which(rowSums(Ainferred)==0)
rem_col <- which(colSums(Ainferred)==0)
rem <- intersect(rem_row, rem_col)
sel <- setdiff(1:length(Gene_Names), rem)

Aclean <- Ainferred[sel,sel]

Clean_names <- Gene_Names[sel]

Clean_TF <- which(sel%in%TF)

Ginferred <- graph.adjacency(Aclean, weighted=T)
V(Ginferred)$color <- '#85ddc1'
V(Ginferred)[Clean_TF]$color <- '#c68bb7'

par(bg = '#fcf7f7')
tkplot(Ginferred, vertex.size = 5, edge.arrow.size=0, edge.width = 1, vertex.label = Clean_names)
plot(Ginferred, vertex.size = 3, edge.arrow.size=0, edge.width = 1, vertex.label = Clean_names)

